@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,400;0,700;1,400&display=swap');

*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 2.564102564vw;
  height: 100%;
  width: 100%;
}

body {
  display: grid;
  grid-template-rows: auto auto 1fr auto;
  grid-template-columns: 100%;
  min-height: 100%;
  margin: 0;
  font-size: 1.4rem;
  letter-spacing: 0;
  line-height: 1.286;
  font-family: 'Source Code Pro', monospace;
  font-style: normal;
  font-weight: 400;
  background: black;
  color: #808285;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

@media screen and (min-width: 750px) {
  body {
    font-size: 1.8rem;
  }

  html {
    font-size: 0.69348vw;
  }
}

@media screen and (min-width: 1450px) {
  html {
    font-size: 0.67vw;
  }
}

@media screen and (min-width: 1600px) {
  html {
    font-size: 0.65vw;
  }
}

@media screen and (min-width: 1800px) {
  html {
    font-size: 0.63vw;
  }
}

@media screen and (min-width: 2200px) {
  html {
    font-size: 0.60vw;
  }
}

#wrapper {
  height: 100vh;
  max-height: -webkit-fill-available;
  display: flex;
  flex-direction: column;
}

#container,
#content,
.page-home,
.home-inner {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.home-inner {
  position: relative;
}

.home-loaded,
.home-preload {
  margin-top: auto;
  margin-bottom: auto;
}

@media screen and (min-width: 750px) {
  #wrapper {
    min-height: 100vh;
  }
}

.body--tight {
  letter-spacing: -.05rem;
}

/* LOGO */
header {
  padding: 2.2rem 3rem 4rem;
}

@media screen and (min-width: 750px) {
  header {
    padding: 3rem 3rem 4.5rem;
  }
}

.logo {
  display: block;
  width: 100%;
  max-width: 40rem;
  margin-left: auto;
  margin-right: auto;
}

.logo svg {
  display: block;
  width: 100%;
}

/* BUTTONS */
.button-row {
  text-align: center;
  margin-bottom: 3rem;
}

.button {
  text-transform: uppercase;
  border-radius: 2rem;
  border: 1px solid #808285;
  padding: 1.2rem 2rem 1.1rem;
  font-weight: 500;
  font-size: 1.2rem;
  letter-spacing: .1rem;
  color: #808285;
  text-decoration: none;
  background-color: black;
  box-shadow: none;
  display: inline-block;
  min-width: 25.6rem;
}

.button svg {
  width: 9.6rem;
}

a {
  color: inherit;
  text-decoration: underline;
}

/* MAP */
.locations {
  width: 89.48vw;
  height: 89.48vw;
  margin-left: auto;
  margin-right: auto;
  max-width: 50rem;
  max-height: 50rem;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  z-index: 4;
  overflow: hidden;
}

.location__item {
  cursor: pointer;
}

.location__item,
.location__label {
  position: absolute;
  z-index: 3;
}

.location__item.active {
  z-index: 4;
}

.location__item__info {
  position: absolute;
  top: 40%;
  right: -.6rem;
  transform: translate(100%, -50%);
  width: 256px;
  z-index: 4;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.player-x-left.player-y-top {
  left: -.6rem;
  top: -.6rem;
  transform: translate(-100%, -100%);
}

.player-x-left.player-y-center {
  left: -.6rem;
  top: 40%;
  transform: translate(-100%, -50%);
}

.player-x-left.player-y-top {
  left: 2rem;
  top: -.6rem;
  transform: translate(-100%, -100%);
}

.player-x-left.player-y-bottom {
  left: 2rem;
  top: auto;
  bottom: 0rem;
  transform: translate(-100%, 100%);
}

.player-x-center.player-y-center {
  left: 50%;
  top: -.2rem;
  transform: translate(100%, -100%);
}

.player-x-center.player-y-top {
  left: 50%;
  top: -.2rem;
  transform: translate(-50%, -100%);
}

.player-x-center.player-y-bottom {
  left: 50%;
  top: auto;
  bottom: 0rem;
  transform: translate(-50%, 100%);
}

.player-x-right.player-y-center {
  left: auto;
  right: -.6rem;
  top: 40%;
  transform: translate(100%, -50%);
}

.player-x-right.player-y-top {
  left: auto;
  right: -.4rem;
  top: -.2rem;
  transform: translate(100%, -100%);
}

.player-x-right.player-y-bottom {
  left: auto;
  right: -.4rem;
  top: auto;
  bottom: 0rem;
  transform: translate(100%, 100%);
}

.active .location__item__info {
  opacity: 1;
  transition: opacity .3s ease;
  visibility: visible;
  pointer-events: auto;
  color: black;
}

.location__embed iframe {
  display: block;
  /* opacity: 0; */
}

.location__dot {
  width: 1.8rem !important;
  height: auto;
}

.location__label {
  font-size: 1.2rem;
  color: black;
  text-transform: uppercase;
  font-weight: 700;
}

.location__fake_player {
  position: absolute;
  top: 0;
  left: 15%;
  width: 85%;
  height: 100%;
  z-index: 2;
  background: black;
  color: #808285;
  display: flex;
  align-items: center;
  padding-left: 1rem;
  padding-right: .8rem;
  text-transform: uppercase;
  font-size: 1.3rem;
  font-weight: 400;
  letter-spacing: .1rem;
}

.location__fake_player .button--text-only {
  background: transparent;
  outline: none;
  border: none;
  color: #808285;
  margin-left: auto;
  cursor: pointer;
}

.location__fake_player .button--text-only svg {
  display: block;
  width: 1.8rem;
  height: auto;
}

.map-image {
  width: 100%;
  padding-bottom: 100%;
}

.map-image img {
  width: 100%;
  height: 100%;
  position: absolute;
  background-size: contain;
  top: 0;
  left: 0;
}

.locations__overlay,
.locations__map-page {
  position: absolute;
  z-index: 2;
  top: 16.6rem;
  width: 100%;
  pointer-events: none;
}

.page-about .locations__overlay {
  position: fixed;
}

@media screen and (min-width: 750px) {

  .locations__overlay,
  .locations__map-page {
    top: 19rem;
  }
}

.locations__map-page {
  pointer-events: auto;
}

.page-map {
  padding-top: 35rem;
}

@media screen and (min-width: 750px) {
  .page-map {
    padding-top: 50rem;
  }
}

.desc p {
  margin-bottom: 1.4rem;
}

/* hOME */
.home__left-text,
.home__right-text {
  font-size: 1.2rem;
  position: absolute;
  text-transform: uppercase;
  top: 50%;
  transform: translateY(-50%);
}

.home-inner {
  position: relative;
}

.home__left-text {
  left: 2.4rem;
}

.home__right-text {
  right: 2.4rem;
}

.home-preload {
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  width: 100%;
  pointer-events: none;
  display: flex;
  flex-direction: column;
}

.home-preload__image-wrap {
  position: relative;
  margin-top: 10.7rem;
  max-width: 60rem;
  margin: auto;
  width: 100%;
}

@media screen and (min-width: 750px) {
  .home-preload__image-wrap {
    margin-top: 8rem;
  }
}

.home-preload__image {
  position: relative;
  max-width: 30rem;
  max-height: 37.2rem;
  width: 47.3vw;
  height: 58.9vw;
  margin-left: auto;
  margin-right: auto;
}

.home-preload__image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.home-loaded {
  padding-left: 2rem;
  padding-right: 2rem;
  opacity: 0;
}

.preload .home-preload {
  animation: fadeIn .3s ease forwards, fadeOut .6s ease 4s forwards;
}

.preload .home-loaded {
  animation: fadeIn 1.2s ease 4s forwards;
}

.preload .locations__overlay {
  animation: fadeOut 1.2s ease 4s forwards;
}

.loaded .home-loaded {
  animation: fadeIn .3s ease forwards;
}

.page-home .location__item,
.page-home .home-preload,
.page-home .home-loaded {
  opacity: 0;
}

.preload .location__item:nth-child(1) {
  animation: 1s pulseIn ease-in forwards;
}

.preload .location__item:nth-child(2) {
  animation: 1s pulseIn ease-in .3s forwards;
}

.preload .location__item:nth-child(4) {
  animation: 1s pulseIn ease-in .6s forwards;
}

.preload .location__item:nth-child(8) {
  animation: 1s pulseIn ease-in .9s forwards;
}

.preload .location__item:nth-child(7) {
  animation: 1s pulseIn ease-in 1.2s forwards;
}

.preload .location__item:nth-child(3) {
  animation: 1s pulseIn ease-in 1.5s forwards;
}

.preload .location__item:nth-child(5) {
  animation: 1s pulseIn ease-in 1.8s forwards;
}

.preload .location__item:nth-child(6) {
  animation: 1s pulseIn ease-in 2.1s forwards;
}

.preload .location__item:nth-child(9) {
  animation: 1s pulseIn ease-in 2.4s forwards;
}

.preload .location__item:nth-child(10) {
  animation: 1s pulseIn ease-in 2.4s forwards;
}

.preload .location__item:nth-child(11) {
  animation: 1s pulseIn ease-in 2.4s forwards;
}

.preload .home-preload__image {
  animation: .3s fadeIn ease-in;
}

@keyframes pulseIn {
  0% {
    opacity: 0;
    transform: scale(.8);
  }

  50% {
    transform: scale(1);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.quote {
  text-align: center;
}

.quote__text {
  font-size: 1.2rem;
  font-style: italic;
  margin-bottom: 2.2rem;
  max-width: 26rem;
  margin-left: auto;
  margin-right: auto;
}

.quote__author {
  font-size: 1.2rem;
  line-height: 1.6;
  text-transform: uppercase;
  margin-bottom: 3rem;
}

.home__body {
  max-width: 40rem;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  margin-bottom: 3.2rem;
}

.home-preload__top {
  width: 16.4rem;
  margin-left: auto;
  margin-right: auto;
}

.home-preload__top,
#footer {
  font-weight: 500;
  text-align: center;
  font-size: 1.8rem;
  font-family: 'Muoto Trial';
  text-transform: uppercase;
  letter-spacing: .42rem;
}

#footer {
  margin-top: auto;
  background: black;
  width: 100%;
  padding-bottom: 2.2rem;
}

#footer a {
  color: inherit;
  text-decoration: none;
  display: block;
  width: 52%;
  max-width: 19rem;
  margin-left: auto;
  margin-right: auto;
}

.page-about__inner {
  margin-top: auto;
  margin-bottom: auto;
}

.about__body {
  font-size: 1.2rem;
  line-height: 1.25;
  padding-left: 3.5rem;
  padding-right: 2.6rem;
  margin-bottom: 3rem;
  max-width: 55rem;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 750px) {
  .about__body {
    font-size: 1.4rem;
  }
}

.about__body p {
  margin-bottom: 1rem;
}

.map-page__body {
  padding-left: 3.5rem;
  padding-right: 3rem;
  margin-top: 3.8rem;
  width: 100%;
  max-width: 56.5rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 3rem;
}

@media screen and (min-width: 750px) {
  .map-page__body {
    margin-bottom: 4.5rem;
  }
}

.map-page__link {
  display: inline-block;
  margin-top: 1.8rem;
  text-transform: uppercase;
}

[data-slide] {
  transform: translateY(1rem);
  opacity: 0;
}

[data-fade] {
  opacity: 0;
  animation: 2s fadeIn ease forwards;
}

[data-slide] {
  animation: 1.2s slide-and-fade ease forwards;
}

[data-slide="2"] {
  animation: 1.2s slide-and-fade ease .2s forwards;
}

[data-slide="3"] {
  animation: 1.2s slide-and-fade ease .4s forwards;
}

[data-slide="4"] {
  animation: 1.2s slide-and-fade ease .6s forwards;
}

.preload [data-slide] {
  animation-delay: 4.5s;
}

.preload [data-slide="2"] {
  animation-delay: 4.7s;
}

.preload [data-slide="3"] {
  animation-delay: 4.9s;
}

.preload [data-slide="4"] {
  animation-delay: 5.1s;
}

@keyframes slide-and-fade {
  0% {
    transform: translateY(1rem);
    opacity: 0;
  }

  100% {
    transform: none;
    opacity: 1;
  }
}